Bug 834013 - SAM is hiding the releaseVer variable from json causing subscription-manager-gui to disable the Release dropdown.
SAM is hiding the releaseVer variable from json causing subscription-manager-...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Tom McKay
Garik Khachikyan
: Triaged
Depends On: 809496 834012
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 11:12 EDT by Eric Sammons
Modified: 2015-01-04 16:59 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
System Engine did not include the releaseVer in the consumer JSON. This disabled the Release option in subscription-manager-gui. This fix adds the releaseVer value to the consumer JSON. The Release option is now active.
Story Points: ---
Clone Of: 834012
Environment:
Last Closed: 2012-12-04 14:46:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot - empty releases (646.44 KB, image/png)
2012-10-04 06:22 EDT, Garik Khachikyan
no flags Details
katello-debug logs (233.72 KB, application/x-gzip)
2012-10-09 08:08 EDT, Garik Khachikyan
no flags Details

  None (edit)
Description Eric Sammons 2012-06-20 11:12:13 EDT
+++ This bug was initially created as a clone of Bug #834012 +++

Description of problem:
Consumer registered to SAM-1.1 will fail to support the release feature from the subscription-manager-gui due to SAM hiding releasever from the json.

Version-Release number of selected component (if applicable):
SAM-1.1

Steps to Reproduce:
1. Register a consumer with >= subscription-manager-0.99.19-1
2. Subscribe consumer to RHEL product.
3. In the Subscription Manager gui navigate to system preferences

  
Actual results:
Release option / drop down is disabled.

Expected results:
Release should be enabled with ability to select from a list of available releases.


Additional info:

/var/log/rhsm/rhsm.log
[WARNING]  @preferences.py:101 - Disabling relea        se version  dropdown, server does not support release versions.

Command line the 'release' options work and we are able to --set, --list and retrieve current release value.
Comment 1 Bryan Kearney 2012-08-16 11:43:48 EDT
Please go back and verify the flows in 833539 and 832118 as part of this.
Comment 2 Tom McKay 2012-09-06 12:47:53 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: e5e6bbd0502727f01743aac43b7e0df0441971df
      https://github.com/Katello/katello/commit/e5e6bbd0502727f01743aac43b7e0df0441971df
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-08-30 (Thu, 30 Aug 2012)
Comment 5 Tom McKay 2012-09-25 08:18:57 EDT
@garik - Can you check your production.log for errors about unable to retrieve release versions?

(Note that I am adding code to propagate this error message up to the user.)
Comment 6 Garik Khachikyan 2012-09-25 08:49:02 EDT
@tom: sure thing, i'll reproduce with following scenario:

importing manifest; enabling RHEL 6.2; enable RHEL 6.3; promoting the whole product (with that repos) to some env; register a system; refer to rhsm gui and try to list the "Releases"

in case of fail: i'll will provide with katello-debug logs.
Comment 7 Garik Khachikyan 2012-10-04 06:21:13 EDT
# REOPEN

Failed. Following is the scenario:
---
1. imported manifest (with RHEL product)
2. enabled 6Server; 6.3; 6.2
3. promoted the product to the env
4. register a system (UI - skip the autosubscribe option)
5. refer to the rhsm gui and click preferences. 
6. list the "Releases" - *empty* (but selectable/enabled)

checked on:
---
katello-1.1.12-12.el6cf.noarch
subscription-manager-gnome-0.99.19.4-1.el6_3.x86_64
subscription-manager-0.99.19.4-1.el6_3.x86_64
python-rhsm-0.99.12-1.el6.noarch
Comment 8 Garik Khachikyan 2012-10-04 06:22:21 EDT
Created attachment 621552 [details]
screenshot - empty releases

attached is the screenshot illustrating empty "Releases"
Comment 9 Tom McKay 2012-10-08 12:47:10 EDT
Garik,

Please attach /var/log/katello/production.log (I'm looking for error messages).

Also, where can I find that version of subscription-manager-gui?

Thanks!
Tom
Comment 10 Garik Khachikyan 2012-10-09 08:08:58 EDT
Created attachment 624057 [details]
katello-debug logs

Tom,

Please find the whole katello-debug tarball attached.

if you register (as I did in my case) to RHN Classic you will find the proper one from the base RHEL6Server channel.
thanks
Garik

P.S. and i confirm, it fails the same way as described above: comment#7
Comment 11 Tom McKay 2012-10-09 10:38:48 EDT
After some digging, this is not a regression and the fix submitted is in fact working.

The original BZ was that katello was not sending the system's _current_ release version at all and this was causing sub-mgr-gui to disable the drop down choice in the UI. As you will note, however, the problem you're seeing is not that the UI is disabled but that it has no choices available.

You can confirm the release version is in fact being passed by changing it in the katello System Details to a value and then checking sub-mgr-gui to see that it is reflected there.

As for there being release version choices available in sub-mgr-gui, that comes directly from the CDN and not through katello at all. From the developers: "You need to be 1) registered 2) rhel 3) subscribed to a rhel prod 4) be pointing at a cdn that works 5) that cdn needs the have the 'listing' file mirror 6) various product/content tags need to match." You can confirm this by registering your system, getting it "green" for subscriptions, installing a product w/ yum, and then checking the available releases.

Unless you have further questions, please return this BZ to VERIFIED at your convenience.

Thanks!
Tom
Comment 12 Garik Khachikyan 2012-10-09 10:56:18 EDT
# COMMENT

So the scenario (after clarifying it more with Tom in irc):

register the system
through Katello GUI change its release to something "6.2 or 6Server"
launch rhsm gui and assure that there is the dropbox with 6.2 choice value in it.

Moving it to VERIFIED as I confirm: that I can see that on RHSM gui.

---
katello-1.1.12-14.el6cf.noarch
subscription-manager-0.99.19.4-1.el6_3.x86_64
subscription-manager-gnome-0.99.19.4-1.el6_3.x86_64
python-rhsm-0.99.12-1.el6.noarch
---
Comment 14 errata-xmlrpc 2012-12-04 14:46:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.